diff --git a/meta-isar/recipes-installer/deploy-image/files/usr/bin/deploy-image-wic.sh b/meta-isar/recipes-installer/deploy-image/files/usr/bin/deploy-image-wic.sh
index 91c0518b..7f552eee 100755
--- a/meta-isar/recipes-installer/deploy-image/files/usr/bin/deploy-image-wic.sh
+++ b/meta-isar/recipes-installer/deploy-image/files/usr/bin/deploy-image-wic.sh
@@ -125,10 +125,11 @@ if ! $installer_unattended; then
 fi
 
 if ! cmp /dev/zero "$installer_target_dev" -n 1M; then
-    if ! $installer_unattended && \
-       ! dialog --defaultno \
-                --yesno "WARNING: Target device is not empty! Continue anyway?" 5 60; then
-        exit 0
+    if ! $installer_unattended; then
+        if ! dialog --defaultno \
+                    --yesno "WARNING: Target device is not empty! Continue anyway?" 5 60; then
+            exit 0
+        fi
     else
         if [ "$installer_target_overwrite" != "OVERWRITE" ]; then
             echo "Target device is not empty! -> Abort"
